c
c  Author:
c
c	Gerhard Lust
c	Geotechnisches Institut
c	Abt. Isotopengeophysik
c	Bundesversuchs- und Forschungsanstalt Arsenal
c	Faradaygasse 3
c	A-1030 Wien
c
c	Tel.: +43/222/782531/518
c	Datexp : PSI%023226191064::SYSTEM
c
c*********************************************************
c	There is no copyright attached to this program.
c	Use it at your own risk.
c*********************************************************
c
	subroutine	getpriv
c
	implicit	integer*4 (a-z)
c
	include		'($jpidef)'
	include		'common.txt'
c
	structure/jpi_list/
		integer*2	jpi_len_priv/8/
		integer*2	jpi_code_priv/jpi$_procpriv/
		integer*4	jpi_bufadr_priv
		integer*4	jpi_retlen_priv
		integer*4	end_list/0/
	end structure
	record/jpi_list/jpi
c
	jpi.jpi_bufadr_priv = %loc (priv)
c
	stat = sys$getjpiw (,,,%ref(jpi.jpi_len_priv),,,)
c
	return
c
	end
